const { src, dest, series } = require("gulp");
const concat = require("gulp-concat");
const watch = require("gulp-watch");
const browserSync = require("browser-sync").create();

function buildTask() {
  return src(["src/**/*.js"])
    .pipe(concat("dec.plugin.demo.js"))
    .pipe(dest("./dist"));
}

function watchTask(done) {
  watch(["src/**/*.js"], buildTask);
  done();
}

function staticServerTask(done) {
  browserSync.init({
    port: "9009",
    server: {
      baseDir: "./",
    },
    open:false
  });
  done();
}

exports.buildTask = buildTask;
exports.devTask = series(buildTask, watchTask, staticServerTask);
